# This file created by conda-build 3.13.0
# meta.yaml template originally from:
# C:\projects\r-r6-feedstock\recipe, last modified Thu Aug 30 14:08:22 2018
# ------------------------------------------------

package:
    name: r-r6
    version: 2.2.2
source:
    fn: R6_2.2.2.tar.gz
    sha256: 087756f471884c3b3ead80215a7cc5636a78b8a956e91675acfe2896426eae8f
    url:
        - https://cran.r-project.org/src/contrib/Archive/R6/R6_2.2.2.tar.gz
        - https://cran.r-project.org/src/contrib/R6_2.2.2.tar.gz
build:
    merge_build_host: true
    number: '1'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r341h6115d3f_1
requirements:
    build:
        - m2-gcc-libs 5.3.0 4
        - m2-libbz2 1.0.6 3
        - m2-msys2-runtime 2.5.0.17080.65c939c 3
        - m2-zip 3.0 2
        - msys2-conda-epoch 20160418 1
    host:
        - m2w64-bwidget 1.9.10 2
        - m2w64-bzip2 1.0.6 6
        - m2w64-expat 2.1.1 2
        - m2w64-fftw 3.3.4 6
        - m2w64-flac 1.3.1 3
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-gsl 2.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libogg 1.3.2 3
        - m2w64-libpng 1.6.21 2
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libtiff 4.0.6 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-libxml2 2.9.3 4
        - m2w64-mpfr 3.1.4 4
        - m2w64-pcre 8.38 2
        - m2w64-speex 1.2rc2 3
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-tcl 8.6.5 3
        - m2w64-tk 8.6.5 3
        - m2w64-tktable 2.10 5
        - m2w64-wineditline 2.101 5
        - m2w64-xz 5.2.2 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
        - r-base 3.4.1 h8933c1f_8
    run:
        - r-base >=3.4.1,<3.4.2.0a0
test:
    commands:
        - '"%R%" -e "library(''R6'')"'
about:
    home: https://github.com/wch/R6/
    license: MIT
    license_family: MIT
    summary: The R6 package allows the creation of classes with reference semantics,
        similar to R's built-in reference classes. Compared to reference classes,
        R6 classes are simpler and lighter-weight, and they are not built on S4 classes
        so they do not require the methods package. These classes allow public and
        private members, and they support inheritance, even when the classes are defined
        in different packages.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - bgruening
        - cbrueffer
        - daler
        - jdblischak
        - johanneskoester
        - ocefpaf
